java.lang.reflect

## Interface GenericArrayType

- All Superinterfaces:
    Type

      public interface GenericArrayType
      extends Type

  `GenericArrayType` represents an array type whose component type is either a parameterized type or a type variable.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Type` | `getGenericComponentType()` Returns a `Type` object representing the component type of this array.

- - ### Method Detail

    - #### getGenericComponentType

          Type getGenericComponentType()

      Returns a `Type` object representing the component type of this array. This method creates the component type of the array. See the declaration of `ParameterizedType` for the semantics of the creation process for parameterized types and see `TypeVariable` for the creation process for type variables.
      Returns:
        a `Type` object representing the component type of this array
      Throws:
        `TypeNotPresentException` - if the underlying array type's component type refers to a non-existent type declaration
        `MalformedParameterizedTypeException` - if the underlying array type's component type refers to a parameterized type that cannot be instantiated for any reason

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.